#
# spec file for package perl-HTTP-Server-Simple-PSGI
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-HTTP-Server-Simple-PSGI
Version:        0.16
Release:        1.11
%define cpan_name HTTP-Server-Simple-PSGI
Summary:        PSGI handler for HTTP::Server::Simple
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/M/MI/MIYAGAWA/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(HTTP::Server::Simple) >= 0.42
Requires:       perl(HTTP::Server::Simple) >= 0.42
%{perl_requires}

%description
HTTP::Server::Simple::PSGI is a HTTP::Server::Simple based HTTP server that
can run PSGI applications. This module only depends on
HTTP::Server::Simple, which itself doesn't depend on any non-core modules
so it's best to be used as an embedded web server.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license LICENSE

%changelog
* Thu Jan 28 2021 Frank Schreiner <FSchreiner@suse.com>
- re-run cpanspec
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.16
  see /usr/share/doc/packages/perl-HTTP-Server-Simple-PSGI/Changes
  0.16  2013-08-22 12:28:04 PDT
  - Make this a non-devel release
  0.15  2013-08-22 12:24:33 PDT
  - Bundle Plack::Handler::HTTP::Server::Simple
  - Convert to Milla
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Sep 20 2010 dbahi@novell.com
- initial package 0.14
  * created by cpanspec 1.78
